ig.module(
    'game.entities.passage'
)
.requires(
    'impact.entity'
)
.defines(function(){
    
EntityPassage = ig.Entity.extend({
    size: {x:30, y:30},
    _wmScalable: true,
    _wmDrawBox: true,
    _wmBoxColor: 'rgba(196, 255, 0, 0.7)',
                                 
    type: ig.Entity.TYPE.NONE,
    checkAgainst: ig.Entity.TYPE.A,
    collides: ig.Entity.COLLIDES.NEVER,
                                     
    init: function( x, y, settings ) {
        this.parent( x, y, settings );
        this.vel.x = 0;
        this.vel.y = 0;
//         this.fireTimer.set(2); //s
    },
    
    check: function(other) {
        ig.game.changeLevel();
    },
    update: function(){}
});


});
